#
# spec file for package resample
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           resample
Summary:        Sampling-rate conversion program
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Version:        1.8.1
Release:        23.5
Url:            http://www-ccrma.stanford.edu/~jos/resample
Source0:        http://ccrma.stanford.edu/~jos/gz/%{name}-%{version}.tar.bz2
Patch0:         resample-filename-length-fix.diff
BuildRequires:  gcc
BuildRequires:  make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The resample program is a high-quality resampling program. For example,
it can be used to convert the sampling rate from 48 kHz (used by DAT
machines) to 44.1 kHz (the standard sampling rate for Compact Discs).

Authors:
--------
    Julius O. Smith III <jos@ccrma.stanford.edu>

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%{optflags} -ggdb"
%configure
%__make

%install
%makeinstall
chmod 0644 *

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL AUTHORS COPYING ChangeLog NEWS
%{_bindir}/*
%{_mandir}/man?/*

%changelog
* Tue May 29 2012 tiwai@suse.de
- Fix the crash with too long file names (bnc#764401)
* Wed Dec 21 2011 coolo@suse.com
- remove call to suse_update_config (very old work around)
* Tue May  4 2010 davejplater@gmail.com
- Update to version 1.8.1, removed all patches
- Upstream changes
  * 1.8.1
  * Switched to using autotools (configure, etc.)
  * Updated to sndlib-20, using more of the high-level API.
  * 1.8
  * Cleared up more compiler warnings (Fedora Core 4, OSS case).
  * Absorbed bugfix (for a small fixed memory leak) in the file
  * resample-fix.dif from resample-1.7-114 in the SUSE distribution.
* Fri Jan 12 2007 tiwai@suse.de
- fixed (x = x++;) like operations
* Wed May 17 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Mon Mar 13 2006 tiwai@suse.de
- fix uninitialized variable (#157411)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 16 2004 tiwai@suse.de
- fixed the wrong pointer assignment.
- disabled the removal of $RPM_BUILD_ROOT in %%install.
* Tue Jan 13 2004 tiwai@suse.de
- build as non-root.
* Mon Aug  5 2002 tiwai@suse.de
- initial version: 1.7
